Skip to content
CatalogChannels

Choose the channel size chart of many products

Assigns a channel size chart to the given products and returns the result.

Path Parameters

channelId*string

Identifier of the sales channel.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://api.ecomiq.pe/api/v1/channels/7204558912004329619/listings/size-charts" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "productIds": [      "7204558912004322039"    ],    "chartId": "7204558912004327710"  }'
{  "saved": 1,  "unmatched": 1,  "unavailable": 24,  "queued": 1}